Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Class DoublyIndexedTable.Entry

    java.lang.Object
      org.apache.batik.dom.util.DoublyIndexedTable.Entry

Enclosing class:
  DoublyIndexedTable

protected static class DoublyIndexedTable.Entry
extends java.lang.Object

To manage collisions

Field Summary
`int` | `hash` The hash code
`java.lang.Object` | `key1` The first key
`java.lang.Object` | `key2` The second key
`DoublyIndexedTable.Entry` | `next` The next entry
`java.lang.Object` | `value` The value

Constructor Summary
`DoublyIndexedTable.Entry(int hash, java.lang.Object key1, java.lang.Object key2, java.lang.Object value, DoublyIndexedTable.Entry next)` Creates a new entry

Method Summary
`boolean` | `match(java.lang.Object o1, java.lang.Object o2)` Whether this entry match the given keys.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code

### key1

    public java.lang.Object key1

  The first key

### key2

    public java.lang.Object key2

  The second key

### value

    public java.lang.Object value

  The value

### next

    public DoublyIndexedTable.Entry next

  The next entry

Constructor Detail

### DoublyIndexedTable.Entry

    public DoublyIndexedTable.Entry(int hash,
                                    java.lang.Object key1,
                                    java.lang.Object key2,
                                    java.lang.Object value,
                                    DoublyIndexedTable.Entry next)

  Creates a new entry

Method Detail

### match

    public boolean match(java.lang.Object o1,
                         java.lang.Object o2)

  Whether this entry match the given keys.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.